package com.bocloud.cmp.model.agile.sfc;

import java.util.Date;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: HuaEpgModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/3/12 14:24
 */
public class AgileEpgModel {
    private String uuid;//EPG标识，该字段不支持更新。
    private String name;//EPG名称。
    private String remark;//EPG描述。
    private String vpcUuid;//EPG所在的逻辑网络，该字段不支持更新。
    private String routerUuid;//指定EPG所属逻辑路由器。
    private String type;//指定EPG类型，ROUTER：逻辑路由器，SWITCH：逻辑交换机，PORT：逻辑端口，EXTNETWORK：外部网络，TERMINAL，逻辑终端，该字段不支持更新。
    private String epgTerminalAttr;
    private String sdnTenantUuid;//所属租户，控制器支持获取逻辑网络所属租户反填。
    private String producer; //配置来源
    private Date gmtCreate; //创建时间 gmt_create
    private Date gmtModify; //更新时间 gmt_modify
    private List<String> itemModels;//EPG元素列表。

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getVpcUuid() {
        return vpcUuid;
    }

    public void setVpcUuid(String vpcUuid) {
        this.vpcUuid = vpcUuid;
    }

    public String getRouterUuid() {
        return routerUuid;
    }

    public void setRouterUuid(String routerUuid) {
        this.routerUuid = routerUuid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getEpgTerminalAttr() {
        return epgTerminalAttr;
    }

    public void setEpgTerminalAttr(String epgTerminalAttr) {
        this.epgTerminalAttr = epgTerminalAttr;
    }

    public String getSdnTenantUuid() {
        return sdnTenantUuid;
    }

    public void setSdnTenantUuid(String sdnTenantUuid) {
        this.sdnTenantUuid = sdnTenantUuid;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    public List<String> getItemModels() {
        return itemModels;
    }

    public void setItemModels(List<String> itemModels) {
        this.itemModels = itemModels;
    }
}
